class TransferDataIntoSplitsAndAmounts < ActiveRecord::Migration
  def up
    remove_column :splits, :direction rescue puts 'Column direction already removed'
    Transfer.all.each do |t|
      sout = Split.new(:transfer_id=>t.id, :account_id=>t.id_account_from)
      sout.save
      sin = Split.new(:transfer_id=>t.id, :account_id=>t.id_account_to)
      sin.save
      
      t.amount.each_pair do |key,val|
        Amount.new(:split_id=>sout.id, :value=>val.to_f, :currency=>key).save
        Amount.new(:split_id=>sin.id, :value=>-val.to_f, :currency=>key).save
      end
    end
  end
  def down
    Split.all.each { |s| s.destroy }
    Amount.all.each { |s| s.destroy }
  end
end
